%--------------------------------------------------------------------------
% File     : GRP237-1 : TPTP v6.4.0. Released v2.5.0.
% Domain   : Group Theory
% Problem  : An identity generated by HR, number 00605
% Version  : [MOW76] (equality) axioms.
% English  :

% Refs     : [CS02]  Colton & Sutcliffe (2002), Automatic Generation of Ben
%          : [Col01] Colton (2001), Email to G. Sutcliffe
%          : [CBW99] Colton et al. (1999), Automatic Concept Formation in P
% Source   : [Col01]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.15 v6.4.0, 0.21 v6.3.0, 0.20 v6.2.0, 0.40 v6.1.0, 0.45 v6.0.0, 0.57 v5.5.0, 0.50 v5.4.0, 0.67 v5.3.0, 0.70 v5.2.0, 0.50 v5.1.0, 0.44 v5.0.0, 0.40 v4.1.0, 0.56 v4.0.1, 0.50 v4.0.0, 0.43 v3.7.0, 0.29 v3.4.0, 0.33 v3.1.0, 0.00 v2.7.0, 0.38 v2.6.0, 0.40 v2.5.0
% Syntax   : Number of clauses     :   40 (  36 non-Horn;   3 unit;  37 RR)
%            Number of atoms       :   87 (  87 equality)
%            Maximal clause size   :   12 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   12 (  10 constant; 0-2 arity)
%            Number of variables   :   12 (   0 singleton)
%            Maximal term depth    :    3 (   2 average)
% SPC      : CNF_UNS_RFO_PEQ_NUE

% Comments :
%--------------------------------------------------------------------------
include('Axioms/GRP004-0.ax').
%--------------------------------------------------------------------------
cnf(prove_this_1,negated_conjecture,
    ( inverse(sk_c9) = sk_c8
    | multiply(sk_c4,sk_c5) = sk_c9 )).

cnf(prove_this_2,negated_conjecture,
    ( inverse(sk_c9) = sk_c8
    | inverse(sk_c4) = sk_c5 )).

cnf(prove_this_3,negated_conjecture,
    ( inverse(sk_c9) = sk_c8
    | multiply(sk_c5,sk_c8) = sk_c9 )).

cnf(prove_this_4,negated_conjecture,
    ( inverse(sk_c9) = sk_c8
    | multiply(sk_c9,sk_c7) = sk_c8 )).

cnf(prove_this_5,negated_conjecture,
    ( inverse(sk_c9) = sk_c8
    | multiply(sk_c6,sk_c9) = sk_c7 )).

cnf(prove_this_6,negated_conjecture,
    ( inverse(sk_c9) = sk_c8
    | inverse(sk_c6) = sk_c9 )).

cnf(prove_this_7,negated_conjecture,
    ( inverse(sk_c1) = sk_c9
    | multiply(sk_c4,sk_c5) = sk_c9 )).

cnf(prove_this_8,negated_conjecture,
    ( inverse(sk_c1) = sk_c9
    | inverse(sk_c4) = sk_c5 )).

cnf(prove_this_9,negated_conjecture,
    ( inverse(sk_c1) = sk_c9
    | multiply(sk_c5,sk_c8) = sk_c9 )).

cnf(prove_this_10,negated_conjecture,
    ( inverse(sk_c1) = sk_c9
    | multiply(sk_c9,sk_c7) = sk_c8 )).

cnf(prove_this_11,negated_conjecture,
    ( inverse(sk_c1) = sk_c9
    | multiply(sk_c6,sk_c9) = sk_c7 )).

cnf(prove_this_12,negated_conjecture,
    ( inverse(sk_c1) = sk_c9
    | inverse(sk_c6) = sk_c9 )).

cnf(prove_this_13,negated_conjecture,
    ( multiply(sk_c1,sk_c8) = sk_c9
    | multiply(sk_c4,sk_c5) = sk_c9 )).

cnf(prove_this_14,negated_conjecture,
    ( multiply(sk_c1,sk_c8) = sk_c9
    | inverse(sk_c4) = sk_c5 )).

cnf(prove_this_15,negated_conjecture,
    ( multiply(sk_c1,sk_c8) = sk_c9
    | multiply(sk_c5,sk_c8) = sk_c9 )).

cnf(prove_this_16,negated_conjecture,
    ( multiply(sk_c1,sk_c8) = sk_c9
    | multiply(sk_c9,sk_c7) = sk_c8 )).

cnf(prove_this_17,negated_conjecture,
    ( multiply(sk_c1,sk_c8) = sk_c9
    | multiply(sk_c6,sk_c9) = sk_c7 )).

cnf(prove_this_18,negated_conjecture,
    ( multiply(sk_c1,sk_c8) = sk_c9
    | inverse(sk_c6) = sk_c9 )).

cnf(prove_this_19,negated_conjecture,
    ( multiply(sk_c9,sk_c3) = sk_c8
    | multiply(sk_c4,sk_c5) = sk_c9 )).

cnf(prove_this_20,negated_conjecture,
    ( multiply(sk_c9,sk_c3) = sk_c8
    | inverse(sk_c4) = sk_c5 )).

cnf(prove_this_21,negated_conjecture,
    ( multiply(sk_c9,sk_c3) = sk_c8
    | multiply(sk_c5,sk_c8) = sk_c9 )).

cnf(prove_this_22,negated_conjecture,
    ( multiply(sk_c9,sk_c3) = sk_c8
    | multiply(sk_c9,sk_c7) = sk_c8 )).

cnf(prove_this_23,negated_conjecture,
    ( multiply(sk_c9,sk_c3) = sk_c8
    | multiply(sk_c6,sk_c9) = sk_c7 )).

cnf(prove_this_24,negated_conjecture,
    ( multiply(sk_c9,sk_c3) = sk_c8
    | inverse(sk_c6) = sk_c9 )).

cnf(prove_this_25,negated_conjecture,
    ( multiply(sk_c2,sk_c9) = sk_c3
    | multiply(sk_c4,sk_c5) = sk_c9 )).

cnf(prove_this_26,negated_conjecture,
    ( multiply(sk_c2,sk_c9) = sk_c3
    | inverse(sk_c4) = sk_c5 )).

cnf(prove_this_27,negated_conjecture,
    ( multiply(sk_c2,sk_c9) = sk_c3
    | multiply(sk_c5,sk_c8) = sk_c9 )).

cnf(prove_this_28,negated_conjecture,
    ( multiply(sk_c2,sk_c9) = sk_c3
    | multiply(sk_c9,sk_c7) = sk_c8 )).

cnf(prove_this_29,negated_conjecture,
    ( multiply(sk_c2,sk_c9) = sk_c3
    | multiply(sk_c6,sk_c9) = sk_c7 )).

cnf(prove_this_30,negated_conjecture,
    ( multiply(sk_c2,sk_c9) = sk_c3
    | inverse(sk_c6) = sk_c9 )).

cnf(prove_this_31,negated_conjecture,
    ( inverse(sk_c2) = sk_c9
    | multiply(sk_c4,sk_c5) = sk_c9 )).

cnf(prove_this_32,negated_conjecture,
    ( inverse(sk_c2) = sk_c9
    | inverse(sk_c4) = sk_c5 )).

cnf(prove_this_33,negated_conjecture,
    ( inverse(sk_c2) = sk_c9
    | multiply(sk_c5,sk_c8) = sk_c9 )).

cnf(prove_this_34,negated_conjecture,
    ( inverse(sk_c2) = sk_c9
    | multiply(sk_c9,sk_c7) = sk_c8 )).

cnf(prove_this_35,negated_conjecture,
    ( inverse(sk_c2) = sk_c9
    | multiply(sk_c6,sk_c9) = sk_c7 )).

cnf(prove_this_36,negated_conjecture,
    ( inverse(sk_c2) = sk_c9
    | inverse(sk_c6) = sk_c9 )).

cnf(prove_this_37,negated_conjecture,
    ( inverse(sk_c9) != sk_c8
    | inverse(X4) != sk_c9
    | multiply(X4,sk_c8) != sk_c9
    | multiply(sk_c9,X5) != sk_c8
    | multiply(X6,sk_c9) != X5
    | inverse(X6) != sk_c9
    | multiply(X2,X1) != sk_c9
    | inverse(X2) != X1
    | multiply(X1,sk_c8) != sk_c9
    | multiply(sk_c9,X3) != sk_c8
    | multiply(X7,sk_c9) != X3
    | inverse(X7) != sk_c9 )).

%--------------------------------------------------------------------------
